CREATE TABLE ben_bnft_vrbl_rt_f (
    BNFT_VRBL_RT_ID           NUMBER(18, 0),
    EFFECTIVE_START_DATE      DATE         ,
    EFFECTIVE_END_DATE        DATE         ,
    ORDR_NUM                  NUMBER(18, 0),
    CVG_AMT_CALC_MTHD_ID      NUMBER(18, 0)    NOT NULL,
    VRBL_RT_PRFL_ID           NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    BVR_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    BVR_ATTRIBUTE1            VARCHAR2(600),
    BVR_ATTRIBUTE2            VARCHAR2(600),
    BVR_ATTRIBUTE3            VARCHAR2(600),
    BVR_ATTRIBUTE4            VARCHAR2(600),
    BVR_ATTRIBUTE5            VARCHAR2(600),
    BVR_ATTRIBUTE6            VARCHAR2(600),
    BVR_ATTRIBUTE7            VARCHAR2(600),
    BVR_ATTRIBUTE8            VARCHAR2(600),
    BVR_ATTRIBUTE9            VARCHAR2(600),
    BVR_ATTRIBUTE10           VARCHAR2(600),
    BVR_ATTRIBUTE11           VARCHAR2(600),
    BVR_ATTRIBUTE12           VARCHAR2(600),
    BVR_ATTRIBUTE13           VARCHAR2(600),
    BVR_ATTRIBUTE14           VARCHAR2(600),
    BVR_ATTRIBUTE15           VARCHAR2(600),
    BVR_ATTRIBUTE16           VARCHAR2(600),
    BVR_ATTRIBUTE17           VARCHAR2(600),
    BVR_ATTRIBUTE18           VARCHAR2(600),
    BVR_ATTRIBUTE19           VARCHAR2(600),
    BVR_ATTRIBUTE20           VARCHAR2(600),
    BVR_ATTRIBUTE21           VARCHAR2(600),
    BVR_ATTRIBUTE22           VARCHAR2(600),
    BVR_ATTRIBUTE23           VARCHAR2(600),
    BVR_ATTRIBUTE24           VARCHAR2(600),
    BVR_ATTRIBUTE25           VARCHAR2(600),
    BVR_ATTRIBUTE26           VARCHAR2(600),
    BVR_ATTRIBUTE27           VARCHAR2(600),
    BVR_ATTRIBUTE28           VARCHAR2(600),
    BVR_ATTRIBUTE29           VARCHAR2(600),
    BVR_ATTRIBUTE30           VARCHAR2(600),
    BVR_ATTRIBUTE_NUMBER1     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER2     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER3     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER4     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER5     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER6     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER7     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER8     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER9     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER10    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER11    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER12    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER13    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER14    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER15    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER16    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER17    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER18    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER19    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER20    NUMBER       ,
    BVR_ATTRIBUTE_DATE1       DATE         ,
    BVR_ATTRIBUTE_DATE2       DATE         ,
    BVR_ATTRIBUTE_DATE3       DATE         ,
    BVR_ATTRIBUTE_DATE4       DATE         ,
    BVR_ATTRIBUTE_DATE5       DATE         ,
    BVR_ATTRIBUTE_DATE6       DATE         ,
    BVR_ATTRIBUTE_DATE7       DATE         ,
    BVR_ATTRIBUTE_DATE8       DATE         ,
    BVR_ATTRIBUTE_DATE9       DATE         ,
    BVR_ATTRIBUTE_DATE10      DATE         ,
    BVR_ATTRIBUTE_DATE11      DATE         ,
    BVR_ATTRIBUTE_DATE12      DATE         ,
    BVR_ATTRIBUTE_DATE13      DATE         ,
    BVR_ATTRIBUTE_DATE14      DATE         ,
    BVR_ATTRIBUTE_DATE15      DATE         ,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    BNFT_VRBL_RT_ID           NUMBER(18, 0),
    EFFECTIVE_START_DATE      DATE         ,
    EFFECTIVE_END_DATE        DATE         ,
    ORDR_NUM                  NUMBER(18, 0),
    CVG_AMT_CALC_MTHD_ID      NUMBER(18, 0)    NOT NULL,
    VRBL_RT_PRFL_ID           NUMBER(18, 0)    NOT NULL,
    BUSINESS_GROUP_ID         NUMBER(18, 0)    NOT NULL,
    BVR_ATTRIBUTE_CATEGORY    VARCHAR2(120),
    BVR_ATTRIBUTE1            VARCHAR2(600),
    BVR_ATTRIBUTE2            VARCHAR2(600),
    BVR_ATTRIBUTE3            VARCHAR2(600),
    BVR_ATTRIBUTE4            VARCHAR2(600),
    BVR_ATTRIBUTE5            VARCHAR2(600),
    BVR_ATTRIBUTE6            VARCHAR2(600),
    BVR_ATTRIBUTE7            VARCHAR2(600),
    BVR_ATTRIBUTE8            VARCHAR2(600),
    BVR_ATTRIBUTE9            VARCHAR2(600),
    BVR_ATTRIBUTE10           VARCHAR2(600),
    BVR_ATTRIBUTE11           VARCHAR2(600),
    BVR_ATTRIBUTE12           VARCHAR2(600),
    BVR_ATTRIBUTE13           VARCHAR2(600),
    BVR_ATTRIBUTE14           VARCHAR2(600),
    BVR_ATTRIBUTE15           VARCHAR2(600),
    BVR_ATTRIBUTE16           VARCHAR2(600),
    BVR_ATTRIBUTE17           VARCHAR2(600),
    BVR_ATTRIBUTE18           VARCHAR2(600),
    BVR_ATTRIBUTE19           VARCHAR2(600),
    BVR_ATTRIBUTE20           VARCHAR2(600),
    BVR_ATTRIBUTE21           VARCHAR2(600),
    BVR_ATTRIBUTE22           VARCHAR2(600),
    BVR_ATTRIBUTE23           VARCHAR2(600),
    BVR_ATTRIBUTE24           VARCHAR2(600),
    BVR_ATTRIBUTE25           VARCHAR2(600),
    BVR_ATTRIBUTE26           VARCHAR2(600),
    BVR_ATTRIBUTE27           VARCHAR2(600),
    BVR_ATTRIBUTE28           VARCHAR2(600),
    BVR_ATTRIBUTE29           VARCHAR2(600),
    BVR_ATTRIBUTE30           VARCHAR2(600),
    BVR_ATTRIBUTE_NUMBER1     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER2     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER3     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER4     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER5     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER6     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER7     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER8     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER9     NUMBER       ,
    BVR_ATTRIBUTE_NUMBER10    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER11    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER12    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER13    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER14    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER15    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER16    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER17    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER18    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER19    NUMBER       ,
    BVR_ATTRIBUTE_NUMBER20    NUMBER       ,
    BVR_ATTRIBUTE_DATE1       DATE         ,
    BVR_ATTRIBUTE_DATE2       DATE         ,
    BVR_ATTRIBUTE_DATE3       DATE         ,
    BVR_ATTRIBUTE_DATE4       DATE         ,
    BVR_ATTRIBUTE_DATE5       DATE         ,
    BVR_ATTRIBUTE_DATE6       DATE         ,
    BVR_ATTRIBUTE_DATE7       DATE         ,
    BVR_ATTRIBUTE_DATE8       DATE         ,
    BVR_ATTRIBUTE_DATE9       DATE         ,
    BVR_ATTRIBUTE_DATE10      DATE         ,
    BVR_ATTRIBUTE_DATE11      DATE         ,
    BVR_ATTRIBUTE_DATE12      DATE         ,
    BVR_ATTRIBUTE_DATE13      DATE         ,
    BVR_ATTRIBUTE_DATE14      DATE         ,
    BVR_ATTRIBUTE_DATE15      DATE         ,
    LAST_UPDATE_DATE          TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY           VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN         VARCHAR2(128),
    CREATED_BY                VARCHAR2(256)    NOT NULL,
    CREATION_DATE             TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER     NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_bnft_vrbl_rt_f PRIMARY KEY (BNFT_VRBL_RT_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, BNFT_VRBL_RT_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
